Get shipments

This endpoint allows to retrieve a list of shipments based on package ID, external reference, payment ID, or payment intent ID. It returns detailed information about the shipments including status, addresses, packages, and tracking information. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/shipping/v1/shipments
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Query
package_id
string
Unique identifier of the package to search for.
external_reference_id
string
Reference that you can synchronize with your payment system to identify the shipment. This field must have a maximum of 64 characters and must only contain numbers, letters, hyphens (-) and underscores (_). Special chara...Show more
payment_id
string
Payment identifier associated with the shipment.
payment_intent_id
string
Payment intent identifier associated with the shipment.
Response parameters
data
array
List of shipments found based on the search criteria.
Errors

400Bad request. The parameters sent are not valid.

bad_request

Invalid data was sent in the request body. Try sending the request again, validating all fields.

401Unauthorized. Invalid or missing credentials.

unauthorized

The value sent as Access Token is incorrect. Please check and try again with the correct value.

417Expectation failed.

expectation_failed

Could not meet the expectation specified in the "Expect" header. Validate the information sent and try the request again.

500Internal server error.

internal_server_error

An unexpected error occurred on the server. Try the request again.

Request
curl -X GET \
    'https://api.mercadopago.com/shipping/v1/shipments?package_id=43434-3dfe-46d4-8237-546556fgh&external_reference_id=REF-123456&payment_id=123456&payment_intent_id=4554565545-d13353c3-525c-442e-b101-27b892b2746d'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-4*********994754-12*********c73b4e1ac*********cef36b27c*********840' \
    
Response
{
  "data": [
    {
      "external_reference_id": "REF-123456",
      "shipment_id": "e522fa4a-c3f8-4f34-a353-16f45a012345",
      "shipment_status": "ready",
      "active_phase": "forward",
      "created_at": "2025-07-03T18:46:03.645897682",
      "shipping_to": {
        "address": "Dirección del comprador",
        "country_code": "MX"
      },
      "shipping_from": {
        "phone": "987-654-321",
        "contact": "Miguel Hernández",
        "address": "Dirección del vendedor",
        "city_locality": "México",
        "state_province": "CDMX",
        "complement": "Detalle",
        "zip_code": "03940",
        "country_code": "MX"
      },
      "packages": [
        {
          "id": "96b67f13-753e-4f23-b087-cb4d46383f4s6",
          "dimensions": {
            "weight": 10,
            "width": 10,
            "height": 10,
            "length": 10,
            "volume": 10
          },
          "items": [
            {
              "title": "Producto",
              "description": "Descripción del producto",
              "unit_price": 100
            }
          ],
          "price": {
            "amount": "24.50",
            "currency": "MXN"
          },
          "tracking_info": {
            "tracking_number": "96b67f13-753e-4f23-b087-cb4d46381d1d",
            "last_status": "ready",
            "updated_at": "2025-07-03T18:46:07.136506537"
          }
        }
      ],
      "dispatch_date": {
        "from": "2025-07-05T06:00:00Z"
      }
    }
  ]
}